WinShopAPI docs

Create a financial reimbursement

Creates a reimbursement from the body and returns the stored document. Reserves the next internal document number. Requires `Permissions.FinancialReimbursements.Create`.

POST
/api/finances/financial-reimbursements

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
amount?|
Formatdecimal
bankAccountNumber?|
Lengthlength <= 50
bankStatementAccount?|
Lengthlength <= 50
bankStatementNumber?|
Lengthlength <= 50
bankStatementRowNumber?|
Formatint32
bankStatementVariableNumber?|
Lengthlength <= 50
cashRegisterId?|
Formatint32
companyId?|
Formatint32
constantSymbol?|
Lengthlength <= 50
createdAt?|
Formatdate-time
currency?|
Lengthlength <= 3
currencyId?|
Formatint32
date?|
Formatdate-time
deliveryAddressId?|
Formatint32
doNotPair?boolean|null
documentId?|
Formatint32
documentPrePaymentId?|
Formatint32
documentType?|
Formatint32
eetBkp?|
Lengthlength <= 50
eetFik?|
Lengthlength <= 50
eetInternalNumber?|
Formatint32
eetPkp?|
Lengthlength <= 344
exchangeRate?|
Formatdecimal
formNumber?|
Lengthlength <= 80
headerInternalId?|
Formatint64
id?|
Formatint32
isLocked?boolean|null
isPaired?boolean|null
isPairedManually?boolean|null
lastModify?|
Formatdate-time
lockOwner?|
Lengthlength <= 30
note?string|null
orderCustomerId?|
Formatint32
orderInternetId?|
Formatint32
pairedManuallyUserId?|
Formatint32
receivableId?|
Formatint32
userId?|
Formatint32
variableSymbol?|
Lengthlength <= 50
vatAmountBasicRate?|
Formatdecimal
vatAmountReducedRate?|
Formatdecimal
vatAmountSuperReducedRate?|
Formatdecimal
vatBasisBasicRate?|
Formatdecimal
vatBasisExempt?|
Formatdecimal
vatBasisNotSubjectOfVat?|
Formatdecimal
vatBasisReducedRate?|
Formatdecimal
vatBasisSuperReducedRate?|
Formatdecimal

Response Body

application/json
  1. response
amount?|
Formatdecimal
bankAccountNumber?|
Lengthlength <= 50
bankStatementAccount?|
Lengthlength <= 50
bankStatementNumber?|
Lengthlength <= 50
bankStatementRowNumber?|
Formatint32
bankStatementVariableNumber?|
Lengthlength <= 50
cashRegisterId?|
Formatint32
companyId?|
Formatint32
constantSymbol?|
Lengthlength <= 50
createdAt?|
Formatdate-time
currency?|
Lengthlength <= 3
currencyId?|
Formatint32
date?|
Formatdate-time
deliveryAddressId?|
Formatint32
doNotPair?boolean|null
documentId?|
Formatint32
documentPrePaymentId?|
Formatint32
documentType?|
Formatint32
eetBkp?|
Lengthlength <= 50
eetFik?|
Lengthlength <= 50
eetInternalNumber?|
Formatint32
eetPkp?|
Lengthlength <= 344
exchangeRate?|
Formatdecimal
formNumber?|
Lengthlength <= 80
headerInternalId?|
Formatint64
id?|
Formatint32
isLocked?boolean|null
isPaired?boolean|null
isPairedManually?boolean|null
lastModify?|
Formatdate-time
lockOwner?|
Lengthlength <= 30
note?string|null
orderCustomerId?|
Formatint32
orderInternetId?|
Formatint32
pairedManuallyUserId?|
Formatint32
receivableId?|
Formatint32
userId?|
Formatint32
variableSymbol?|
Lengthlength <= 50
vatAmountBasicRate?|
Formatdecimal
vatAmountReducedRate?|
Formatdecimal
vatAmountSuperReducedRate?|
Formatdecimal
vatBasisBasicRate?|
Formatdecimal
vatBasisExempt?|
Formatdecimal
vatBasisNotSubjectOfVat?|
Formatdecimal
vatBasisReducedRate?|
Formatdecimal
vatBasisSuperReducedRate?|
Formatdecimal
curl -X POST 'https://<your-instance>/api/finances/financial-reimbursements' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "amount": 0,  "bankAccountNumber": "string",  "bankStatementAccount": "string",  "bankStatementNumber": "string",  "bankStatementRowNumber": 0,  "bankStatementVariableNumber": "string",  "cashRegisterId": 0,  "companyId": 0,  "constantSymbol": "string",  "createdAt": "2019-08-24T14:15:22Z",  "currency": "str",  "currencyId": 0,  "date": "2019-08-24T14:15:22Z",  "deliveryAddressId": 0,  "doNotPair": true,  "documentId": 0,  "documentPrePaymentId": 0,  "documentType": 0,  "eetBkp": "string",  "eetFik": "string",  "eetInternalNumber": 0,  "eetPkp": "string",  "exchangeRate": 0,  "formNumber": "string",  "headerInternalId": 0,  "id": 0,  "isLocked": true,  "isPaired": true,  "isPairedManually": true,  "lastModify": "2019-08-24T14:15:22Z",  "lockOwner": "string",  "note": "string",  "orderCustomerId": 0,  "orderInternetId": 0,  "pairedManuallyUserId": 0,  "receivableId": 0,  "userId": 0,  "variableSymbol": "string",  "vatAmountBasicRate": 0,  "vatAmountReducedRate": 0,  "vatAmountSuperReducedRate": 0,  "vatBasisBasicRate": 0,  "vatBasisExempt": 0,  "vatBasisNotSubjectOfVat": 0,  "vatBasisReducedRate": 0,  "vatBasisSuperReducedRate": 0}